ViennaCL - The Vienna Computing Library: viennacl::linalg::power_iter_tag Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::power_iter_tag Class Reference

A tag for the power iteration algorithm. More...

`#include <power_iter.hpp>`

## Public Member Functions
| power_iter_tag (double tfac=1e-8, vcl_size_t max_iters=50000)
| The constructor. More...
void | factor (double fct)
| Sets the factor for termination. More...
double | factor () const
| Returns the factor for termination. More...
vcl_size_t | max_iterations () const
void | max_iterations (vcl_size_t new_max)

## Detailed Description

A tag for the power iteration algorithm.

Examples:
  power-iter.cpp.

Definition at line 38 of file power_iter.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::power_iter_tag::power_iter_tag | ( | double | tfac = `1e-8`,
|  | vcl_size_t | max_iters = `50000`
| ) |  |
| inline

The constructor.

Parameters

  tfac | If the eigenvalue does not change more than this termination factor, the algorithm stops
  max_iters | Maximum number of iterations for the power iteration

Definition at line 47 of file power_iter.hpp.

## Member Function Documentation

void viennacl::linalg::power_iter_tag::factor | ( | double | fct | ) |
| inline

Sets the factor for termination.

Definition at line 50 of file power_iter.hpp.

double viennacl::linalg::power_iter_tag::factor | ( |  | ) | const
| inline

Returns the factor for termination.

Definition at line 53 of file power_iter.hpp.

vcl_size_t viennacl::linalg::power_iter_tag::max_iterations | ( |  | ) | const
| inline

Definition at line 55 of file power_iter.hpp.

void viennacl::linalg::power_iter_tag::max_iterations | ( | vcl_size_t | new_max | ) |
| inline

Definition at line 56 of file power_iter.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/power_iter.hpp